| Home | Libraries | People | FAQ | More

## Struct is_equal

boost::algorithm::is_equal — is_equal functor

## Synopsis

    struct is_equal {

      // public member functions
      template<typename T1, typename T2>
        bool operator()(const T1 &, const T2 &) const;
    };

## Description

Standard STL equal_to only handle comparison between arguments of the same type. This is a less restrictive version which wraps operator ==.

### `is_equal` public member functions

1.     template<typename T1, typename T2>
         bool operator()(const T1 & Arg1, const T2 & Arg2) const;

   Compare two operands for equality

| Copyright © 2002-2004 Pavol Droba